<?php
namespace Teknisa\DF\Services;

use Zeedhi\Framework\DataSource\FilterCriteria;
use Teknisa\Libs\Util\Environment;
use Teknisa\DF\Factories\Ger80909GrupoProdutoConsultoriaFactory;
use Zeedhi\Framework\DB\StoredProcedure\Param;
use Zeedhi\Framework\DB\StoredProcedure\StoredProcedure;
use Doctrine\ORM\EntityManager;

class Ger80909GrupoProdutoConsultoriaService extends \Teknisa\DF\Controllers\TeknisaCrud {

	protected $environment;
	protected $factory;

    public function __construct(Environment $environment, EntityManager $entityManager, Ger80909GrupoProdutoConsultoriaFactory $factory){
        $this->environment      = $environment;
        $this->entityManager    = $entityManager;
        $this->factory          = $factory;
        
    }

    public function getArrayCenario($row) {
        $cenarios = array();
        foreach($row["ID_CENARIO"] as $cenario) {
            $cenarios[] = array("ID_CENARIO" => $cenario, "CDGRUPPRODCON" => $row["CDGRUPPRODCON"], "__is_new" => true); 
        }
        return $cenarios;
    }  
    
    public function atualizarRegraGrupo($row) {
        try {
            $procedure = new StoredProcedure($this->entityManager->getConnection(), 'SYSTAX_IMPPARAM_FISCCENT');
            $procedure->addParam(new Param('P_CDGRUPPRODCON',  Param::PARAM_INPUT,     $row["CDGRUPPRODCON"],    Param::PARAM_TYPE_STR));
            $procedure->execute();
        } catch (\Exception $e) {
            throw $e;
        }
    
    }
    
    public function zerarPonteiroAtualizacao() {
        return $this->factory->zerarPonteiroAtualizacao();
    }

}